Debian Bug report logs - #354674
Missing /usr/lib/libXcursor.la

version graph

Package: libxcursor-dev; Maintainer for libxcursor-dev is Debian X Strike Force <debian-x@lists.debian.org>; Source for libxcursor-dev is src:libxcursor.

Reported by: Jeremy Nickurak <atrus@bugs.debian.spam.rifetech.com>

Date: Tue, 28 Feb 2006 03:33:02 UTC

Severity: normal

Tags: experimental

Found in version libxcursor-dev/1.1.5.2-1

Done: Daniel Stone <daniel@fooishbar.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to Jeremy Nickurak <atrus@bugs.debian.spam.rifetech.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeremy Nickurak <atrus@bugs.debian.spam.rifetech.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Missing /usr/lib/libXcursor.la
Date: Mon, 27 Feb 2006 20:10:28 -0700
Package: libxcursor-dev
Version: 1.1.5.2-1
Severity: normal
Tags: experimental

1.1.3-1 included file /usr/lib/libXcursor.la, required by other packages (in
my case, gnome-control-center.)
1.1.5.2 does not include it.


-- System Information:
Debian Release: testing/unstable
  APT prefers experimental
  APT policy: (1000, 'experimental'), (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-rc6
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages libxcursor-dev depends on:
ii  libx11-dev                   2:1.0.0-1   X11 client-side library (developme
ii  libxcursor1                  1.1.5.2-1   X cursor management library
ii  libxrender-dev               1:0.9.0.2-1 X Rendering Extension client libra
ii  x11-common                   1:7.0.0     X Window System (X.Org) infrastruc
ii  x11proto-core-dev            7.0.4-1     X11 core wire protocol and auxilia

libxcursor-dev recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to ROBERTOJIMENOCA@terra.es:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 354674@bugs.debian.org (full text, mbox):

From: "ROBERTOJIMENOCA@terra.es" <ROBERTOJIMENOCA@terra.es>
To: David Nusinow <dnusinow@debian.org>, 354674@bugs.debian.org
Subject: Re: Bug#354674: Missing /usr/lib/libXcursor.la
Date: Fri, 17 Mar 2006 15:17:31 +0100 (MET)
Jeremy Nickurak wrote:
> 1.1.3-1 included file /usr/lib/libXcursor.la, required by other packages
> (in my case, gnome-control-center.)
> 1.1.5.2 does not include it.

How does this regression happen?
Did you make the new package from scratch?
(instead of using:
http://necrotic.deadbeast.net/svn/xcursor/trunk/debian/libxcursor-dev.install
)

This is the fix:
--- libxcursor-1.1.5.2/debian/libxcursor-dev.install
+++ libxcursor-1.1.5.2/debian/libxcursor-dev.install
@@ -1,5 +1,4 @@
-usr/include/X11/Xcursor/Xcursor.h
-usr/lib/libXcursor.a
-usr/lib/libXcursor.so
+usr/include/X11/Xcursor/Xcursor.h usr/X11R6/include/X11/Xcursor
+usr/lib/libXcursor.{a,la,so}
 usr/lib/pkgconfig/*.pc
 usr/share/man/man3/*



Prueba el Nuevo Correo Terra; Seguro, Rápido, Fiable.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to Daniel Stone <daniels@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 354674@bugs.debian.org (full text, mbox):

From: Daniel Stone <daniels@debian.org>
To: ROBERTOJIMENOCA@terra.es, 354674@bugs.debian.org
Cc: David Nusinow <dnusinow@debian.org>
Subject: Re: Bug#354674: Missing /usr/lib/libXcursor.la
Date: Fri, 17 Mar 2006 17:42:20 +0200
[Message part 1 (text/plain, inline)]
On Fri, Mar 17, 2006 at 03:17:31PM +0100, ROBERTOJIMENOCA@terra.es wrote:
> Jeremy Nickurak wrote:
> > 1.1.3-1 included file /usr/lib/libXcursor.la, required by other packages
> > (in my case, gnome-control-center.)
> > 1.1.5.2 does not include it.
> 
> How does this regression happen?
> Did you make the new package from scratch?
> (instead of using:
> http://necrotic.deadbeast.net/svn/xcursor/trunk/debian/libxcursor-dev.install
> )

Yes.  It was a deliberate decision; any package still referencing
libXcursor.la has to be recompiled.

libtool .la files are serious, serious braindamage.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Daniel Stone <daniel@fooishbar.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeremy Nickurak <atrus@bugs.debian.spam.rifetech.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 354674-done@bugs.debian.org (full text, mbox):

From: Daniel Stone <daniel@fooishbar.org>
To: 354674-done@bugs.debian.org
Subject: [daniels@debian.org: Re: Bug#354674: Missing /usr/lib/libXcursor.la]
Date: Fri, 17 Mar 2006 17:42:57 +0200
[Message part 1 (text/plain, inline)]
----- Forwarded message from Daniel Stone <daniels@debian.org> -----

Date: Fri, 17 Mar 2006 17:42:20 +0200
From: Daniel Stone <daniels@debian.org>
To: ROBERTOJIMENOCA@terra.es, 354674@bugs.debian.org
Cc: David Nusinow <dnusinow@debian.org>
Subject: Re: Bug#354674: Missing /usr/lib/libXcursor.la
Message-ID: <20060317154220.GP26932@fooishbar.org>

On Fri, Mar 17, 2006 at 03:17:31PM +0100, ROBERTOJIMENOCA@terra.es wrote:
> Jeremy Nickurak wrote:
> > 1.1.3-1 included file /usr/lib/libXcursor.la, required by other packages
> > (in my case, gnome-control-center.)
> > 1.1.5.2 does not include it.
> 
> How does this regression happen?
> Did you make the new package from scratch?
> (instead of using:
> http://necrotic.deadbeast.net/svn/xcursor/trunk/debian/libxcursor-dev.install
> )

Yes.  It was a deliberate decision; any package still referencing
libXcursor.la has to be recompiled.

libtool .la files are serious, serious braindamage.



----- End forwarded message -----
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to ROBERTOJIMENOCA@terra.es:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 354674@bugs.debian.org (full text, mbox):

From: "ROBERTOJIMENOCA@terra.es" <ROBERTOJIMENOCA@terra.es>
To: Daniel Stone <daniels@debian.org>, 354674@bugs.debian.org, David Nusinow <dnusinow@debian.org>
Subject: Re: Bug#354674: Missing /usr/lib/libXcursor.la
Date: Fri, 17 Mar 2006 16:47:36 +0100 (MET)
Daniel Stone wrote:
> On Fri, Mar 17, 2006 at 03:17:31PM +0100, ROBERTOJIMENOCA@terra.es wrote:
> > Jeremy Nickurak wrote:
> > > 1.1.3-1 included file /usr/lib/libXcursor.la, required by other packages
> > > (in my case, gnome-control-center.)
> > > 1.1.5.2 does not include it.
> > 
> > How does this regression happen?
> > Did you make the new package from scratch?
> > (instead of using:
> > http://necrotic.deadbeast.net/svn/xcursor/trunk/debian/libxcursor-dev.install
> > )
> 
> Yes.  It was a deliberate decision; any package still referencing
> libXcursor.la has to be recompiled.
> 
> libtool .la files are serious, serious braindamage.

Do you mean that you won't add that .la file to the package?

Is there any plan to remove all .la files from Debian?

I was just trying to compile a program from CVS that needed that .la file.

What is the fix you propose?



Prueba el Nuevo Correo Terra; Seguro, Rápido, Fiable.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to Daniel Stone <daniel@fooishbar.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 354674@bugs.debian.org (full text, mbox):

From: Daniel Stone <daniel@fooishbar.org>
To: "ROBERTOJIMENOCA@terra.es" <ROBERTOJIMENOCA@terra.es>
Cc: 354674@bugs.debian.org, David Nusinow <dnusinow@debian.org>
Subject: Re: Bug#354674: Missing /usr/lib/libXcursor.la
Date: Fri, 17 Mar 2006 18:03:43 +0200
[Message part 1 (text/plain, inline)]
On Fri, Mar 17, 2006 at 04:47:36PM +0100, ROBERTOJIMENOCA@terra.es wrote:
> Daniel Stone wrote:
> > On Fri, Mar 17, 2006 at 03:17:31PM +0100, ROBERTOJIMENOCA@terra.es wrote:
> > > Jeremy Nickurak wrote:
> > > > 1.1.3-1 included file /usr/lib/libXcursor.la, required by other packages
> > > > (in my case, gnome-control-center.)
> > > > 1.1.5.2 does not include it.
> > > 
> > > How does this regression happen?
> > > Did you make the new package from scratch?
> > > (instead of using:
> > > http://necrotic.deadbeast.net/svn/xcursor/trunk/debian/libxcursor-dev.install
> > > )
> > 
> > Yes.  It was a deliberate decision; any package still referencing
> > libXcursor.la has to be recompiled.
> > 
> > libtool .la files are serious, serious braindamage.
> 
> Do you mean that you won't add that .la file to the package?

Correct.

> Is there any plan to remove all .la files from Debian?

Sadly, no.  But from all the X libraries, yes; it has already been done.

> I was just trying to compile a program from CVS that needed that .la file.
> 
> What is the fix you propose?

grep /usr/lib/libXcursor.la /usr/lib/*.la

Then file a bug on the package containing whatever contains the .la
file, asking for a recompile.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to ROBERTOJIMENOCA@terra.es:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 354674@bugs.debian.org (full text, mbox):

From: "ROBERTOJIMENOCA@terra.es" <ROBERTOJIMENOCA@terra.es>
To: Daniel Stone <daniels@debian.org>, 354674@bugs.debian.org, David Nusinow <dnusinow@debian.org>
Subject: Re: Bug#354674: Missing /usr/lib/libXcursor.la
Date: Fri, 17 Mar 2006 17:15:13 +0100 (MET)
Daniel Stone wrote:
> On Fri, Mar 17, 2006 at 04:47:36PM +0100, ROBERTOJIMENOCA@terra.es wrote:
> > Daniel Stone wrote:
> > > On Fri, Mar 17, 2006 at 03:17:31PM +0100, ROBERTOJIMENOCA@terra.es wrote:
> > > > Jeremy Nickurak wrote:
> > > > > 1.1.3-1 included file /usr/lib/libXcursor.la, required by other packages
> > > > > (in my case, gnome-control-center.)
> > > > > 1.1.5.2 does not include it.
> > > > 
> > > > How does this regression happen?
> > > > Did you make the new package from scratch?
> > > > (instead of using:
> > > > http://necrotic.deadbeast.net/svn/xcursor/trunk/debian/libxcursor-dev.install
> > > > )
> > > 
> > > Yes.  It was a deliberate decision; any package still referencing
> > > libXcursor.la has to be recompiled.
> > > 
> > > libtool .la files are serious, serious braindamage.

Thanks for confirming that .la files are serious, serious braindamage,
that's also what I thought when I first saw them years ago.

Is libtool already fixed to not produce them?

> > Do you mean that you won't add that .la file to the package?
> 
> Correct.
> 
> > Is there any plan to remove all .la files from Debian?
> 
> Sadly, no.  But from all the X libraries, yes; it has already been done.
> 
> > I was just trying to compile a program from CVS that needed that .la file.
> > 
> > What is the fix you propose?
> 
> grep /usr/lib/libXcursor.la /usr/lib/*.la
> 
> Then file a bug on the package containing whatever contains the .la
> file, asking for a recompile.

Will you postpone the upload of this version of Xcursor to unstable
until all dependant packages are recompiled?

May I do a mass bug filing against those packages that need
recompilation?



Prueba el Nuevo Correo Terra; Seguro, Rápido, Fiable.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to Daniel Stone <daniel@fooishbar.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 354674@bugs.debian.org (full text, mbox):

From: Daniel Stone <daniel@fooishbar.org>
To: "ROBERTOJIMENOCA@terra.es" <ROBERTOJIMENOCA@terra.es>
Cc: 354674@bugs.debian.org, David Nusinow <dnusinow@debian.org>
Subject: Re: Bug#354674: Missing /usr/lib/libXcursor.la
Date: Fri, 17 Mar 2006 18:37:54 +0200
[Message part 1 (text/plain, inline)]
On Fri, Mar 17, 2006 at 05:15:13PM +0100, ROBERTOJIMENOCA@terra.es wrote:
> Daniel Stone wrote:
> > On Fri, Mar 17, 2006 at 04:47:36PM +0100, ROBERTOJIMENOCA@terra.es wrote:
> > > Daniel Stone wrote:
> > > > Yes.  It was a deliberate decision; any package still referencing
> > > > libXcursor.la has to be recompiled.
> > > > 
> > > > libtool .la files are serious, serious braindamage.
> 
> Thanks for confirming that .la files are serious, serious braindamage,
> that's also what I thought when I first saw them years ago.
> 
> Is libtool already fixed to not produce them?

Not yet, no.

> > > I was just trying to compile a program from CVS that needed that .la file.
> > > 
> > > What is the fix you propose?
> > 
> > grep /usr/lib/libXcursor.la /usr/lib/*.la
> > 
> > Then file a bug on the package containing whatever contains the .la
> > file, asking for a recompile.
> 
> Will you postpone the upload of this version of Xcursor to unstable
> until all dependant packages are recompiled?

No.

> May I do a mass bug filing against those packages that need
> recompilation?

Yes.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to ROBERTOJIMENOCA@terra.es:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 354674@bugs.debian.org (full text, mbox):

From: "ROBERTOJIMENOCA@terra.es" <ROBERTOJIMENOCA@terra.es>
To: Daniel Stone <daniels@debian.org>, 354674@bugs.debian.org, David Nusinow <dnusinow@debian.org>
Subject: Re: Bug#354674: Missing /usr/lib/libXcursor.la
Date: Fri, 17 Mar 2006 18:09:55 +0100 (MET)
Daniel Stone wrote:
> On Fri, Mar 17, 2006 at 05:15:13PM +0100, ROBERTOJIMENOCA@terra.es wrote:
> > Daniel Stone wrote:
> > > On Fri, Mar 17, 2006 at 04:47:36PM +0100, ROBERTOJIMENOCA@terra.es wrote:
> > > > Daniel Stone wrote:
> > > > > Yes.  It was a deliberate decision; any package still referencing
> > > > > libXcursor.la has to be recompiled.
> > > > > 
> > > > > libtool .la files are serious, serious braindamage.
> > 
> > Thanks for confirming that .la files are serious, serious braindamage,
> > that's also what I thought when I first saw them years ago.
> > 
> > Is libtool already fixed to not produce them?
> 
> Not yet, no.

Is libtool in progress of getting  fixed to not produce them?
(Or should a bug be filed against libtool?)

> > > > I was just trying to compile a program from CVS that needed that .la file.
> > > > 
> > > > What is the fix you propose?
> > > 
> > > grep /usr/lib/libXcursor.la /usr/lib/*.la
> > > 
> > > Then file a bug on the package containing whatever contains the .la
> > > file, asking for a recompile.
> > 
> > Will you postpone the upload of this version of Xcursor to unstable
> > until all dependant packages are recompiled?
> 
> No.

Is there already a date for the inclusion in unstable?
(I'm using xorg 7.x from experimental but I'm having trouble with XKB)

> > May I do a mass bug filing against those packages that need
> > recompilation?
> 
> Yes.

Is there any web page (like a wiki page) that explain the steps that
a package maintainer should take in order to fix his package?



Prueba el Nuevo Correo Terra; Seguro, Rápido, Fiable.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to Daniel Stone <daniel@fooishbar.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 354674@bugs.debian.org (full text, mbox):

From: Daniel Stone <daniel@fooishbar.org>
To: "ROBERTOJIMENOCA@terra.es" <ROBERTOJIMENOCA@terra.es>
Cc: 354674@bugs.debian.org, David Nusinow <dnusinow@debian.org>
Subject: Re: Bug#354674: Missing /usr/lib/libXcursor.la
Date: Fri, 17 Mar 2006 20:28:27 +0200
[Message part 1 (text/plain, inline)]
On Fri, Mar 17, 2006 at 06:09:55PM +0100, ROBERTOJIMENOCA@terra.es wrote:
> Daniel Stone wrote:
> > On Fri, Mar 17, 2006 at 05:15:13PM +0100, ROBERTOJIMENOCA@terra.es wrote:
> > > Thanks for confirming that .la files are serious, serious braindamage,
> > > that's also what I thought when I first saw them years ago.
> > > 
> > > Is libtool already fixed to not produce them?
> > 
> > Not yet, no.
> 
> Is libtool in progress of getting  fixed to not produce them?
> (Or should a bug be filed against libtool?)

You can file a bug, but I don't think it will get you very far.  It's
already under discussion upstream.

> > > Will you postpone the upload of this version of Xcursor to unstable
> > > until all dependant packages are recompiled?
> > 
> > No.
> 
> Is there already a date for the inclusion in unstable?
> (I'm using xorg 7.x from experimental but I'm having trouble with XKB)

I don't know off the top of my head, sorry.

> > > May I do a mass bug filing against those packages that need
> > > recompilation?
> > 
> > Yes.
> 
> Is there any web page (like a wiki page) that explain the steps that
> a package maintainer should take in order to fix his package?

a) Build-Dep on libxcursor-dev (>> 1.1.5.2) or whatever it is,
b) re-upload.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to ROBERTOJIMENOCA@terra.es:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 354674@bugs.debian.org (full text, mbox):

From: "ROBERTOJIMENOCA@terra.es" <ROBERTOJIMENOCA@terra.es>
To: Daniel Stone <daniels@debian.org>, 354674@bugs.debian.org, David Nusinow <dnusinow@debian.org>
Subject: Re: Bug#354674: Missing /usr/lib/libXcursor.la
Date: Sat, 18 Mar 2006 14:32:30 +0100 (MET)
Daniel Stone wrote:
> On Fri, Mar 17, 2006 at 06:09:55PM +0100, ROBERTOJIMENOCA@terra.es wrote:
> > Daniel Stone wrote:
> > > On Fri, Mar 17, 2006 at 05:15:13PM +0100, ROBERTOJIMENOCA@terra.es wrote:
> > > > Thanks for confirming that .la files are serious, serious braindamage,
> > > > that's also what I thought when I first saw them years ago.
> > > > 
> > > > Is libtool already fixed to not produce them?
> > > 
> > > Not yet, no.
> > 
> > Is libtool in progress of getting  fixed to not produce them?
> > (Or should a bug be filed against libtool?)
> 
> You can file a bug, but I don't think it will get you very far.  It's
> already under discussion upstream.
> 
> > > > Will you postpone the upload of this version of Xcursor to unstable
> > > > until all dependant packages are recompiled?
> > > 
> > > No.
> > 
> > Is there already a date for the inclusion in unstable?
> > (I'm using xorg 7.x from experimental but I'm having trouble with XKB)
> 
> I don't know off the top of my head, sorry.
> 
> > > > May I do a mass bug filing against those packages that need
> > > > recompilation?
> > > 
> > > Yes.
> > 
> > Is there any web page (like a wiki page) that explain the steps that
> > a package maintainer should take in order to fix his package?
> 
> a) Build-Dep on libxcursor-dev (>> 1.1.5.2) or whatever it is,
> b) re-upload.

But that needs having libxcursor-dev being uploaded to unstable first,
right?



Prueba el Nuevo Correo Terra; Seguro, Rápido, Fiable.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 354674@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: 354674@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: What on earth?
Date: Thu, 13 Apr 2006 11:12:06 -0400
Greetings,

Please tell me if I have this right:
      * You don't like .la files
      * So you're unilaterally removing them from a core package
        (libxcursor) with dozens of reverse-depends, breaking all of
        them
      * Even though they're a years-old and very well established
        technology
      * Which upstream libtool has not yet decided to eliminate ("It's
        already under discussion")
      * And which has not been discussed on debian-devel or any other
        Debian list as far as I can tell (Google search).

Can you really be serious?

For example, if the maintainer of GLib decides (s)he doesn't like the
way it handles modules, and upstream *might* at some point change the
behavior, is that alone enough justification to change it and break all
of its dozens of reverse-depending packages?

-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe!
http://www.take6.com/albums/greatesthits.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 354674@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: 354674@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: What on earth?
Date: Thu, 13 Apr 2006 11:37:46 -0400
On Thu, 2006-04-13 at 11:12 -0400, Adam C Powell IV wrote:
> Greetings,
> 
> Please tell me if I have this right:
>       * You don't like .la files
>       * So you're unilaterally removing them from a core package
>         (libxcursor) with dozens of reverse-depends, breaking all of
>         them
>       * Even though they're a years-old and very well established
>         technology
>       * Which upstream libtool has not yet decided to eliminate ("It's
>         already under discussion")
>       * And which has not been discussed on debian-devel or any other
>         Debian list as far as I can tell (Google search).

Okay, my mistake, the removal of .la files throughout X packages
indicates that this was an X-wide decision, not an isolated developer.
But I still don't see any discussion on Debian lists outside of this one
bug.

"I guess that's why they call it unstable..."

Cheers,
-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe!
http://www.take6.com/albums/greatesthits.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to Daniel Stone <daniels@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #70 received at 354674@bugs.debian.org (full text, mbox):

From: Daniel Stone <daniels@debian.org>
To: Adam C Powell IV <hazelsct@debian.org>, 354674@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#354674: What on earth?
Date: Thu, 13 Apr 2006 19:12:48 +0300
[Message part 1 (text/plain, inline)]
On Thu, Apr 13, 2006 at 11:12:06AM -0400, Adam C Powell IV wrote:
> Please tell me if I have this right:
>       * You don't like .la files

Yes.

>       * So you're unilaterally removing them from a core package
>         (libxcursor) with dozens of reverse-depends, breaking all of
>         them

Yes.

>       * Even though they're a years-old and very well established
>         technology

.la files?  I wouldn't call them 'very well established'.

>       * Which upstream libtool has not yet decided to eliminate ("It's
>         already under discussion")

And X.Org upstream are currently seriously discussing whether or not to
eliminate libtool, at which point you get broken away.  This, believe it
or not, a) improves portability, and b) makes you immune to further
changes.

>       * And which has not been discussed on debian-devel or any other
>         Debian list as far as I can tell (Google search).

Yes.

> Can you really be serious?

Yes.

> For example, if the maintainer of GLib decides (s)he doesn't like the
> way it handles modules, and upstream *might* at some point change the
> behavior, is that alone enough justification to change it and break all
> of its dozens of reverse-depending packages?

If the dependent packages can be fixed with a rebuild, and the reason is
solid, rather than, 'I'm bored'?  Yes.

Is a rebuild really that phenomenally onerous for you?  In the time
spent arguing this point, tons of packages could've been simply rebuilt.
I don't see where the problem lies, unless you happen to enjoy random
flamebait more than actual productive work.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #75 received at 354674@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Daniel Stone <daniels@debian.org>
Cc: Adam C Powell IV <hazelsct@debian.org>, 354674@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#354674: What on earth?
Date: Thu, 13 Apr 2006 09:48:40 -0700
[Message part 1 (text/plain, inline)]
On Thu, Apr 13, 2006 at 07:12:48PM +0300, Daniel Stone wrote:

> Is a rebuild really that phenomenally onerous for you?  In the time
> spent arguing this point, tons of packages could've been simply rebuilt.
> I don't see where the problem lies, unless you happen to enjoy random
> flamebait more than actual productive work.

The problem is not rebuilding, the problem is having several dozen other
packages completely blindsided by this change *with no coordination*.  The
Xorg 7.0 transition was presented to the release team as "no big deal, just
splitting the package".  Instead, it's leaving half the packages in the
build queue unbuildable because of disruptive changes that no one thought
worth mentioning.

I agree with the principle of dropping .la files in cases where .pc files
are available as a better substitute, but not without *coordinating* with
people.  The repeated statements from the release team that library changes
should be coordinated aren't some whim of those wacky RMs that should be
ignored; keeping a handle on the disruptive changes going into unstable is
essential if we're going to keep the announced release schedule.

So far I'm very unimpressed with the resultant bug count from the Xorg 7
transition.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to David Nusinow <david_nusinow@verizon.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #80 received at 354674@bugs.debian.org (full text, mbox):

From: David Nusinow <david_nusinow@verizon.net>
To: 354674@bugs.debian.org
Subject: Re: Bug#354674: What on earth?
Date: Thu, 13 Apr 2006 19:05:21 -0400
On Thu, Apr 13, 2006 at 09:48:40AM -0700, Steve Langasek wrote:
> The problem is not rebuilding, the problem is having several dozen other
> packages completely blindsided by this change *with no coordination*.  The
> Xorg 7.0 transition was presented to the release team as "no big deal, just
> splitting the package".  Instead, it's leaving half the packages in the
> build queue unbuildable because of disruptive changes that no one thought
> worth mentioning.

This is entirely my own inexperience showing and I take full responsibility
for it. I didn't realize that the monolithic to modular transition would
affect much more than the Xorg packages themselves, and I tried to mitigate
any problems that I saw beforehand. The packages sat in experimental for
months and I dogfooded them as best I could with the resources available
to me.

> I agree with the principle of dropping .la files in cases where .pc files
> are available as a better substitute, but not without *coordinating* with
> people.  The repeated statements from the release team that library changes
> should be coordinated aren't some whim of those wacky RMs that should be
> ignored; keeping a handle on the disruptive changes going into unstable is
> essential if we're going to keep the announced release schedule.

Again, I didn't realize this would be so disruptive. When we removed the
.la files in the X packages previously it didn't seem to be a big deal to
trigger the binNMU's so I didn't pay it much mind. I never thought to scale
up the problem and this was my mistake in this particular case.

> So far I'm very unimpressed with the resultant bug count from the Xorg 7
> transition.

The blame rests entirely on me of course, and I'm going to continue working
to fix the problems. Unfortunately, even after being incredibly
conservative with this transition by waiting for the other major vendors to
shake out significant bugs, and for the major packaging bugs to be worked
out by Ubuntu, as well as significant amounts of time in experimental, I
couldn't get the >100 packages all in perfect working order before
uploading to unstable. I'm afraid there's only so much I could do, and for
that I can only apologize and fix things now.

 - David Nusinow



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #85 received at 354674@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: Daniel Stone <daniels@debian.org>
Cc: 354674@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#354674: What on earth?
Date: Thu, 13 Apr 2006 19:09:55 -0400
On Thu, 2006-04-13 at 19:12 +0300, Daniel Stone wrote:
> On Thu, Apr 13, 2006 at 11:12:06AM -0400, Adam C Powell IV wrote:
> > Please tell me if I have this right:
> >       * You don't like .la files
> 
> Yes.
> 
> >       * So you're unilaterally removing them from a core package
> >         (libxcursor) with dozens of reverse-depends, breaking all of
> >         them
> 
> Yes.
> 
> >       * Even though they're a years-old and very well established
> >         technology
> 
> .la files?  I wouldn't call them 'very well established'.

Okay, then 'widespread', as is evident from the number of broken
packages.

> >       * Which upstream libtool has not yet decided to eliminate ("It's
> >         already under discussion")
> 
> And X.Org upstream are currently seriously discussing whether or not to
> eliminate libtool, at which point you get broken away.  This, believe it
> or not, a) improves portability, and b) makes you immune to further
> changes.

Okay, I misunderstood, s/libtool/Xorg/.  Even so, what "further
changes"?  There are no further changes yet, there are merely
discussions.  This doesn't change that you acted unilaterally.

> >       * And which has not been discussed on debian-devel or any other
> >         Debian list as far as I can tell (Google search).
> 
> Yes.

This is the main problem.  In numerous other transitions, from udev/hal
to C++, we had fair warning and could coordinate release schedules.  See
Steve's post.

> > Can you really be serious?
> 
> Yes.
> 
> > For example, if the maintainer of GLib decides (s)he doesn't like the
> > way it handles modules, and upstream *might* at some point change the
> > behavior, is that alone enough justification to change it and break all
> > of its dozens of reverse-depending packages?
> 
> If the dependent packages can be fixed with a rebuild, and the reason is
> solid, rather than, 'I'm bored'?  Yes.

So I'm supposed to rebuild all of the dependencies between my package
and libxcursor, like multiple GNOME and KDE libraries (GNOME in my
case), just to build my package?  And then what?  Upload it?  I can't,
because those intermediate libs are broken in unstable, so it won't
autobuild.

And who's to say the interfaces won't change before the next upload of
those intermediates?  For example, GNOME is in the middle of its
2.12-2.14 transition, with dozens of packages in flight from alioth via
experimental.  It would *really* have helped if you had let them know of
these plans *before* they started uploading 2.14 packages.

Now everybody needs to wait while the maintainers of those packages
build and upload.  In the correct order.  Regardless of other release
plans.  With no notice.

*Think* for a moment about the consequences.  This is not a simple
rebuild, this is a serious problem.

> Is a rebuild really that phenomenally onerous for you?  In the time
> spent arguing this point, tons of packages could've been simply rebuilt.
> I don't see where the problem lies, unless you happen to enjoy random
> flamebait more than actual productive work.

Flamebait?  Well, if you consider discussions on stranding a large
fraction of Debian's 1000 part-time volunteer developers without the
ability to build their packages in unstable to be "random flamebait", I
really can't help you.

Regards,
-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe!
http://www.take6.com/albums/greatesthits.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to David Nusinow <david_nusinow@verizon.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #90 received at 354674@bugs.debian.org (full text, mbox):

From: David Nusinow <david_nusinow@verizon.net>
To: Adam C Powell IV <hazelsct@debian.org>, 354674@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#354674: What on earth?
Date: Thu, 13 Apr 2006 19:58:05 -0400
On Thu, Apr 13, 2006 at 07:09:55PM -0400, Adam C Powell IV wrote:
> *Think* for a moment about the consequences.  This is not a simple
> rebuild, this is a serious problem.

I agree and I take full responsibility for the issue. I'm sorry for the
trouble. I'm fully willing to put back the .la files on request from the
release team, who I should definitely have coordinated with beforehand.
Note that I would have done so if I'd realized the magnitude of the
problem, and not doing so was entirely my error.

 - David Nusinow



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to Adam C Powell IV <hazelsct@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #95 received at 354674@bugs.debian.org (full text, mbox):

From: Adam C Powell IV <hazelsct@debian.org>
To: David Nusinow <david_nusinow@verizon.net>
Cc: 354674@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#354674: What on earth?
Date: Thu, 13 Apr 2006 20:25:55 -0400
On Thu, 2006-04-13 at 19:58 -0400, David Nusinow wrote:
> On Thu, Apr 13, 2006 at 07:09:55PM -0400, Adam C Powell IV wrote:
> > *Think* for a moment about the consequences.  This is not a simple
> > rebuild, this is a serious problem.
> 
> I agree and I take full responsibility for the issue. I'm sorry for the
> trouble. I'm fully willing to put back the .la files on request from the
> release team, who I should definitely have coordinated with beforehand.
> Note that I would have done so if I'd realized the magnitude of the
> problem, and not doing so was entirely my error.

Wow.  Thank you.  This would help in the short term, though I suspect
the damage is done and the other packages are "fixing" their "bugs" at
this point.  I agree that the release team should decide.

I hope such problems can be avoided in the future.

Cheers,
-Adam
-- 
GPG fingerprint: D54D 1AEE B11C CE9B A02B  C5DD 526F 01E8 564E E4B6

Welcome to the best software in the world today cafe!
http://www.take6.com/albums/greatesthits.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to Jose Carlos Garcia Sogo <jsogo@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #100 received at 354674@bugs.debian.org (full text, mbox):

From: Jose Carlos Garcia Sogo <jsogo@debian.org>
To: Adam C Powell IV <hazelsct@debian.org>, 354674@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#354674: What on earth?
Date: Fri, 14 Apr 2006 16:41:27 +0200
[Message part 1 (text/plain, inline)]
On Thu, Apr 13, 2006 at 07:58:05PM -0400, David Nusinow wrote:
> On Thu, Apr 13, 2006 at 07:09:55PM -0400, Adam C Powell IV wrote:
> > *Think* for a moment about the consequences.  This is not a simple
> > rebuild, this is a serious problem.
> 
> I agree and I take full responsibility for the issue. I'm sorry for the
> trouble. I'm fully willing to put back the .la files on request from the
> release team, who I should definitely have coordinated with beforehand.
> Note that I would have done so if I'd realized the magnitude of the
> problem, and not doing so was entirely my error.

  And this deserves applause. Recognizing errors, or lack of
  comunnication due to one, and showing a positive attitude is something
  that has to be more spread on this project.

  David, Daniel and other X team guys, my thanks for your great work,
  effort and positive attitude.
 

-- 
Jose Carlos Garcia Sogo
   jsogo@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #105 received at 354674@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Adam C Powell IV <hazelsct@debian.org>
Cc: David Nusinow <david_nusinow@verizon.net>, 354674@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#354674: What on earth?
Date: Fri, 14 Apr 2006 13:53:09 -0700
[Message part 1 (text/plain, inline)]
On Thu, Apr 13, 2006 at 08:25:55PM -0400, Adam C Powell IV wrote:
> On Thu, 2006-04-13 at 19:58 -0400, David Nusinow wrote:
> > On Thu, Apr 13, 2006 at 07:09:55PM -0400, Adam C Powell IV wrote:
> > > *Think* for a moment about the consequences.  This is not a simple
> > > rebuild, this is a serious problem.

> > I agree and I take full responsibility for the issue. I'm sorry for the
> > trouble. I'm fully willing to put back the .la files on request from the
> > release team, who I should definitely have coordinated with beforehand.
> > Note that I would have done so if I'd realized the magnitude of the
> > problem, and not doing so was entirely my error.

> Wow.  Thank you.  This would help in the short term, though I suspect
> the damage is done and the other packages are "fixing" their "bugs" at
> this point.  I agree that the release team should decide.

You won't get any argument from the release team about whether it's ok for
.la files to be dropped from packages, in cases where the library also
integrates with pkg-config.  In addition to pkg-config being much easier to
integrate with plain Makefiles, its dependency handling is much better able
to cope with changes to library relationships.

It's just the timing that becomes an issue.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to "Christian T. Steigies" <cts@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #110 received at 354674@bugs.debian.org (full text, mbox):

From: "Christian T. Steigies" <cts@debian.org>
To: 354674@bugs.debian.org, Moray Allan <moray@debian.org>
Subject: FTBFS: libeventdb_0.21-1
Date: Sat, 15 Apr 2006 14:03:47 +0200
Hi,
if I understood the bug report correctly, all packages using xcursor should
simply be recompiled, and that is why the bug was closed? So why is
libeventdb failing to build on all arches?

http://buildd.debian.org/build.php?&pkg=libeventdb

Please file or reassign whereever this FTBFS belongs to.

Christian



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to Michel Dänzer <daenzer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #115 received at 354674@bugs.debian.org (full text, mbox):

From: Michel Dänzer <daenzer@debian.org>
To: "Christian T. Steigies" <cts@debian.org>, 354674@bugs.debian.org
Cc: Moray Allan <moray@debian.org>
Subject: Re: Bug#354674: FTBFS: libeventdb_0.21-1
Date: Sat, 15 Apr 2006 14:37:34 +0200
On Sat, 2006-04-15 at 14:03 +0200, Christian T. Steigies wrote:
> Hi,
> if I understood the bug report correctly, all packages using xcursor should
> simply be recompiled, and that is why the bug was closed? So why is
> libeventdb failing to build on all arches?

Most likely because not all of its build-dependencies have been rebuilt
yet.


-- 
Earthling Michel Dänzer      |     Debian (powerpc), X and DRI developer
Libre software enthusiast    |   http://svcs.affero.net/rm.php?r=daenzer



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to joshk@triplehelix.org (Joshua Kwan):
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #120 received at 354674@bugs.debian.org (full text, mbox):

From: joshk@triplehelix.org (Joshua Kwan)
To: 354674@bugs.debian.org
Subject: Any progress?
Date: Tue, 2 May 2006 14:27:03 -0700
[Message part 1 (text/plain, inline)]
tags 354674 - experimental
thanks

Hi,

What's the status of this bug? It is blocking me from uploading AbiWord,
which has a RC fix or two going for it, because it won't build due to
this missing libxcursor.la.

Thanks,

-- 
Joshua Kwan
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#354674; Package libxcursor-dev. Full text and rfc822 format available.

Acknowledgement sent to David Nusinow <david_nusinow@verizon.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #125 received at 354674@bugs.debian.org (full text, mbox):

From: David Nusinow <david_nusinow@verizon.net>
To: Joshua Kwan <joshk@triplehelix.org>, 354674@bugs.debian.org
Subject: Re: Bug#354674: Any progress?
Date: Tue, 02 May 2006 21:07:28 -0400
On Tue, May 02, 2006 at 02:27:03PM -0700, Joshua Kwan wrote:
> What's the status of this bug? It is blocking me from uploading AbiWord,
> which has a RC fix or two going for it, because it won't build due to
> this missing libxcursor.la.

The .la file is gone and it's not coming back. The packages that abiword
build-depends on need to update to get rid of it. I've been noticing the
gnome team has been hard at work on this already, but perhaps something in
abiword's build-deps still hasn't been updated?

 - David Nusinow



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 18:10:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:32:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.